Subject: Re: [PATCH] fib_trie: rcu_assign_pointer warning fix

From: "Paul E. McKenney" <[email-masked]>
Date: Wed, 13 Feb 2008 14:55:55 -0800

On Tue, Feb 12, 2008 at 08:46:30PM +0100, Jarek Poplawski wrote:
> On Tue, Feb 12, 2008 at 08:32:18PM +0100, Jarek Poplawski wrote:
> ...
> > It seems the above version of this macro uses the barrier for 0, but
> > if I miss something, or for these other: documenting reasons,
> 
> ...or __builtin_constants could be used for indexing (?!),

Yep.  For example:

	elem[0].next = 1;
	rcu_assign_index(global_index, 0);

							Thanx, Paul

> > then of
> > course you are right.
> Jarek P.